--
--  キャストタイプ
--      t_cast_type
--

CREATE TABLE t_cast_type
(
    TypeCd integer NOT NULL,    -- PriKey
    CastCd integer NOT NULL,    -- PriKey

    DelFlg boolean,
    AddDate timestamp without time zone,
    UpdDate timestamp without time zone,
    UpdUsrNm character varying(60),
    UpdPcNm character varying(60),
    UpdCnt integer,

    PRIMARY KEY(TypeCd, CastCd)
);


-- トリガー
CREATE TRIGGER trigger_master_stamp
  BEFORE INSERT OR UPDATE
  ON t_cast_type
  FOR EACH ROW
  EXECUTE PROCEDURE g_master_stamp();
